Perfect_Hash Class Reference

`#include <tokenhash.h>`

## Static Public Member Functions

static const struct xmltoken * | in_word_set (const char *str, size_t len)

## Static Private Member Functions

static unsigned int | hash (const char *str, size_t len)

## Member Function Documentation

## hash()

unsigned int Perfect_Hash::hash | ( | const char * | str,
|  | size_t | len )

inline static private

## in_word_set()

const struct xmltoken * Perfect_Hash::in_word_set | ( | const char * | str,
|  | size_t | len )

static

Referenced by libvisio::VSDXMLTokenMap::getTokenId().

The documentation for this class was generated from the following file:

- tokenhash.h